$dropZonePadding: 25px;
$uploadButtonSize: 96px;
$dropZoneBorderBoxHalfSize: 6px;
$dropZonePreviewBorderColor: #27a2ce;

.dropzone-container {
    width: 100%;
    height: 100%;
    padding: 25px;

    .drop-zone-error-message {
        color: red;
        font-size: 14px;
        font-weight: 500;
    }

    .drop-zone-preview-container {
        width: 100%;
        height: 100%;
        position: relative;
        border: 1px solid $dropZonePreviewBorderColor;

        .drop-zone-preview-text-description {
            position: absolute;
            z-index: 9999999999;
            bottom: 20px;
            left: 10px;

            span {
                font-size: 12px;
                color: #4a4a4a;
            }
        }    

        .drop-zone-preview-border-box {
            position: absolute;
            z-index: 999999999;
            width: $dropZoneBorderBoxHalfSize * 2;
            height: $dropZoneBorderBoxHalfSize * 2;
            background-color: $dropZonePreviewBorderColor;
        }

        .left-top {
            top: -$dropZoneBorderBoxHalfSize;
            left: -$dropZoneBorderBoxHalfSize;
        }

        .right-top {
            top: -$dropZoneBorderBoxHalfSize;
            right: -$dropZoneBorderBoxHalfSize;
        }

        .right-bottom {
            right: -$dropZoneBorderBoxHalfSize;
            bottom: -$dropZoneBorderBoxHalfSize;
        }

        .left-bottom {
            left: -$dropZoneBorderBoxHalfSize;
            bottom: -$dropZoneBorderBoxHalfSize;
        }

        .drop-zone-component {
            width: 100%;
            height: 100%;
            border: none;
            display: flex;

            cursor: pointer;
            flex-direction: row;
            align-items: center;
            justify-content: center;

            &:hover {
              span {
                  filter: brightness(50%);
              }
            }

            span {
                display: block;
                transition: filter 0.5s;
            }

            video {
                width: 100%;
                height: 100%;
            }

            .drop-zone-preview-default-image {
                width: 100%;
                height: 100%;
                background: url('/assets/svg/button-upload-new.svg') no-repeat center;
            }

            .drop-zone-preview-image {
                width: 100%;
                height: 100%;
                background-size: contain;
                background-position: center;
                background-repeat: no-repeat;
            }

            .drop-zone-preview-video {
                width: 100% !important;
                height: 100% !important;
            }
        }
    }

}
